<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: a46ccad4c6d4 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-04-03 13:39 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class welu_update_const{
	public const SERVER = 'update.webedition.org';
	public const SCRIPT = '/server/we/liveUpdate.p' . 'hp';
	public const WELU_DIR = 'liveUpdate/';
	public const LOCAL_SCRIPT = WEBEDITION_DIR . self::WELU_DIR . 'liveUpdate.php';
// liveupdater contains the following actions
	public const UPDATE_CMDS = [
		'update',
		'languages',
		'updatelog',
		'connect',
		'beta'
	];
	public const LU_ParameterNames = [
		'liveUpdateSession',
		'update_cmd',
		'detail',
		'position',
		'part',
		'clientLng',
		'clientTargetVersionNumber',
		'decreaseSpeed'
	];

	public static function getIgnoredParams(): array{
		// These request variables listed here are NOT submitted to the server - fill it
// to keep requests small
		return [
			'we_mode',
			'cookie',
			'treewidth_main',
			session_name(),
			'we' . session_id()
		];
	}

}
