<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 938a3571c9bf $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-03-19 12:37 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_backup_fileInfo{

	/** @var string */
	public $WE = WE_VERSION; //@phan-suppress-current-line PhanUndeclaredConstant

	/** @var string */
	public $SVN = WE_SVNREV; //@phan-suppress-current-line PhanUndeclaredConstant

	/** @var string */
	public $Branch = WE_VERSION_BRANCH; //@phan-suppress-current-line PhanUndeclaredConstant

	/** @var string */
	public $Type = we_backup_exportZIP::EXPORT_TYPE;

	/** @var string */
	public $Url = '';

	/** @var string */
	public $Date = '';

	/** @var string */
	public $Comment = '';

	/** @var string */
	public $BackendCharset = 'UTF-8';

	/** @var int */
	public $BackupFiles = 0;

	/** @var int */
	public $BinFiles = 0;

	public function setFromJson(string $json): void{
		$data = we_unserialize($json);
		if(empty($data)){
			throw new we_exception_file('Format not supported');
		}
		foreach($data as $name => $val){
			$this->{$name} = $val;
		}
	}

	public function setData(string $comment, int $currentFile, int $binFiles): void{
		$this->Url = $_SERVER['SERVER_NAME'];
		$this->Date = date('c');
		$this->Comment = $comment;
		$this->BackupFiles = $currentFile;
		$this->BinFiles = $binFiles;
	}

}
