<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 579f97b86d7f $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-16 18:49 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_editor_noTmpl extends we_editor_base{

	public function show(): string{
		$keyw = $this->we_doc->getElementS(we_contents_root::KEYWORD_FIELD);
		$desc = $this->we_doc->getElementS(we_contents_root::DESCRIPTION_FIELD);

		$foo = (we_base_WE::$editmode ?
			'<html><head>' .
			($keyw ? we_html_element::meta(['name' => 'keywords', 'content' => $keyw]) : '') .
			we_html_tools::metaCtCharset() .
			($desc ? we_html_element::meta(['name' => 'description', 'content' => $desc]) : '') :
			'');

		assert($this->we_doc !== null);
		return we_html_element::docType() . '
<html>
	<head>' .
			(we_base_WE::$editmode ? we_html_tools::getStyleSheet(false) . we_html_tools::getJquery() : '') .
			we_html_tools::metaCtCharset() .
			($keyw ? '<meta name="keywords" content="' . $keyw . '">' : '') .
			($desc ? '<meta name="description" content="' . $desc . '">' : '') .
			'<title>' . $this->we_doc->getElementS('Title') . '</title>' .
			(we_base_WE::$editmode ?
			we_html_element::jsScript(JS_DIR . 'global.js', 'initWE();') . we_editor_script::get($this->we_doc) :
			we_weTag_util::tag('textarea', ['name' => 'HEAD'])
			) .
			'</head>' .
			(we_base_WE::$editmode ? '
		<body style="margin:15px;">
			<form name="' . we_base_constants::WE_FORM . '" method="post">' . we_contents_base::hiddenTrans() .
			we_html_tools::messageBox(667, 650, '<pre class="defaultfont">' . htmlspecialchars($foo . we_html_element::title($this->we_doc->getElementS(we_contents_root::TITLE_FIELD))) . '
</pre>
	' . we_weTag_util::tag('textarea', ['name' => 'HEAD', 'wrap' => 'virtual', 'style' => 'width:600px;height:100px;']) . '<br/>
<pre class="defaultfont">	&lt;/head&gt;
	&lt;body ' . we_weTag_util::tag('input', ['type' => 'text', 'size' => 60, 'name' => 'BODYTAG', 'style' => 'width: 480px;']) . '&gt;</pre>
' . we_weTag_util::tag('textarea', ['name' => 'BODY', 'wrap' => 'virtual', 'style' => 'width: 600px;height:300px;']) . '
<pre class="defaultfont">	&lt;/body&gt;
&lt;/html&gt;</pre>') .
			we_html_element::hidden("we_complete_request", 1) .
			'</form>
		</body>' :
			'<body ' . we_weTag_util::tag('input', ['name' => 'BODYTAG']) . '>' .
			we_weTag_util::tag('textarea', ['name' => 'BODY'], '') .
			'</body>') .
			'</html>';
	}

}
