<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 5118dfb85839 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-02-13 18:24 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_export_menu{

	public static function getMenu(): we_gui_menu{
		return new we_gui_menu([
					(new we_gui_menuTop(g_l('export', '[new]'), 'fa fa-plus-circle'))
					->set([
						new we_gui_menuEntry(g_l('export', '[export]'), ['we_export_new'], [we_base_perm::EXIM_EXPORT_NEW]),
						new we_gui_menuEntry(g_l('export', '[group]'), ['we_export_new_group'], [we_base_perm::EXIM_EXPORT_NEW])
					]),
					(new we_gui_menuTop(g_l('export', '[export]'), 'fa fa-download'))
					->set([
						new we_gui_menuEntry(g_l('export', '[save]'), ['we_export_save'], [we_base_perm::EXIM_EXPORT_NEW, we_base_perm::EXIM_EXPORT_EDIT]),
						new we_gui_menuEntry(g_l('export', '[delete]'), ['we_export_delete'], [we_base_perm::EXIM_EXPORT_DELETE]),
						new we_gui_menuSeparator(),
						new we_gui_menuEntry(g_l('export', '[quit]'), ['exit_export'])
					])
		]);
	}

}
