<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 5118dfb85839 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-02-13 18:24 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_gui_menuSeparator extends we_gui_menuEntry{

	/**
	 * @param bool $hide
	 * @param string[] $perm
	 */
	public function __construct(bool $hide = false, array $perm = []){
		parent::__construct('', [], $perm, $hide);
	}

	public function getCode(): string{
		if($this->hide || !we_base_permission::hasPerm($this->perm)){
			return '';
		}
		return '<li class="disabled"></li>';
	}

}
