<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: d5bcf73330c9 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-28 19:06 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_category extends we_weTag_tag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		self::$doc = we_base_WE::getWeDoc();

// initialize possible Attributes
		$delimiter = self::getAttribute('delimiter', $attribs, self::getAttribute('tokken', $attribs, ',', we_base_request::RAW_CHECKED, true), we_base_request::RAW_CHECKED);
		$rootdir = self::getAttribute('rootdir', $attribs, '', we_base_request::FILE);
		$showpath = self::getAttribute('showpath', $attribs, false, we_base_request::BOOL);
		$docAttr = self::getAttribute('doc', $attribs, '', we_base_request::STRING);
		$field = self::getAttribute('field', $attribs, '', we_base_request::STRING);
		$name = self::getAttribute('name', $attribs, '', we_base_request::STRING);
		$id = self::getAttribute('id', $attribs, [], we_base_request::INTLISTA);
		$separator = self::getAttribute('separator', $attribs, '/', we_base_request::RAW_CHECKED);
		$onlyindir = self::getAttribute('onlyindir', $attribs, '', we_base_request::FILE);
		//fixme: what is that, and why this name
		$fromTag = self::getAttribute('fromTag', $attribs, 'category', we_base_request::STRING);
		$shopCatIDs = self::getAttribute('categoryids', $attribs, [], we_base_request::INTLISTA);
		// end initialize possible Attributes

		if($id){
			$catIDs = [$id];
		} elseif($name){
			if(we_base_WE::$editmode){
				$_REQUEST['we_' . self::$doc->Name . '_category[' . $name . ']'] = self::$doc->getElementS($name);
				$attribs['name'] = 'we_' . self::$doc->Name . '_category[' . $name . ']';
				$attribs['type'] = 'request';
				$attribs['rootdir'] = $onlyindir;
				$attribs['fromTag'] = $fromTag;
				$attribs['categoryids'] = $fromTag === 'shopcategory' ? $shopCatIDs : self::getDocForTag($docAttr, false)->Category;

				return (string) we_weTag_util::tag('categorySelect', $attribs);
			}
			$catIDs = we_base_request::filterIntList(self::$doc->getElementS($name));
		} elseif(we_tag_listview::$current && $docAttr === 'listview'){
			$catIDs = we_base_request::filterIntList(we_tag_listview::$current->f(we_listview_base::CATEGORY_FIELD));
		} else {
			$catIDs = self::getDocForTag($docAttr, false)->Category;
		}

		$ret = [];
		$catfield = $field ?: ($showpath ? 'Path' : 'Text');
		if(!($categories = we_category_category::we_getCatsFromIDs($catIDs, $rootdir, $onlyindir, $catfield))){
			return '';
		}
		foreach($categories as $cat){
			switch($catfield){
				case 'Path':
					$ret[] = str_replace('/', $separator, $cat->Path);
				case 'Description':
					$ret[] = we_document_base::parseInternalLinks($cat->Description, 0);
				case 'ID':
				case 'ParentID':
				case 'Text':
				case 'Title':
					$ret[] = $cat->{$catfield};
			}
		}

		return implode($delimiter, $ret);
	}

}
