<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 44db4d7c3342 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-06-24 18:25 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_dateSelect extends we_weTag_tag{

	/**
	 * @param array<string,mixed> $attribs parsed tag-attributes
	 * @param string $content content between openingtag and closing tag
	 * @param bool $internal if used by we internally
	 * @return string output to print
	 * @throws we_exception_parser if any attribute is missing
	 */
	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		self::attributeMissing($attribs, ['name' => false], __CLASS__);
		$name = self::getAttribute('name', $attribs, '', we_base_request::STRING);
		$class = self::getAttribute('class', $attribs, '', we_base_request::STRING);
		$style = self::getAttribute('style', $attribs, '', we_base_request::STRING);

		$from = self::getAttribute('start', $attribs, '', we_base_request::STRING);
		$to = self::getAttribute('end', $attribs, '', we_base_request::STRING);

		$submitonchange = self::getAttribute('submitonchange', $attribs, false, we_base_request::BOOL);
		$time = we_base_request::int($name, time());
		//list('code' => $langcode) = self::getOutLang($attribs, true);
		//$class,
		//	, $style
		return we_html_tools::getNewDateInput($name . '[%s]', new DateTime(date('Y-m-d', $time == -1 ? time() : $time)), we_html_tools::FORMAT_DATE, false, true, $from ? new DateTime($from) : null, $to ? new DateTime($to) : null, ($submitonchange ? 'we_submitForm();' : ''), [
				'class' => $class,
				'style' => $style]
		);
	}

}
