<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifNotWritten extends we_weTag_ifTag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		$type = (self::getAttribute('type', $attribs, '', we_base_request::STRING) ?: self::getAttribute('var', $attribs, 'document', we_base_request::STRING)) ?: self::getAttribute('doc', $attribs, 'document', we_base_request::STRING);

		switch($type){
			case 'customer':
				switch(self::getAttribute('onerror', $attribs, 'all', we_base_request::STRING)){
					case 'nousername':
						return we_tag_saveRegisteredUser::$status === we_customer_customer::PWD_USER_EMPTY;
					case 'nopassword':
						return we_tag_saveRegisteredUser::$status === we_customer_customer::PWD_FIELD_NOT_SET;
					case 'userexists':
						return we_tag_saveRegisteredUser::$status === we_customer_customer::PWD_USER_EXISTS;
					case 'passwordRule':
						return we_tag_saveRegisteredUser::$status === we_customer_customer::PWD_NOT_SUFFICIENT;
					case 'notUnique':
						return we_tag_saveRegisteredUser::$status === we_customer_customer::PWD_USER_NOT_UNIQUE;
					default:
					case 'all':
						return we_tag_saveRegisteredUser::$status !== null && we_tag_saveRegisteredUser::$status !== we_customer_customer::PWD_ALL_OK;
				}
			case 'object':
			case 'document':
				$name = self::getAttribute('formname', $attribs, (we_tag_form::$name ?: we_base_constants::DEFAULT_FORM), we_base_request::STRING);
				$status = we_tag_write::$status[$type][$name] ?? 'failed';
				switch(self::getAttribute('onerror', $attribs, 'all', we_base_request::STRING)){
					case 'notAllowed':
						return $status === we_tag_write::ERR_NOT_ALLOWED_EDIT;
					case 'isProtected':
						return $status === we_tag_write::ERR_PROTECTION;
					case 'duplicateName':
						return $status === we_tag_write::ERR_DUPLICATE_NAME;
					case 'generalError':
						return $status === we_tag_write::ERR_WRITE;
					case 'fieldsNotValid':
						return $status === we_tag_write::ERR_FIELDS_NOT_VALID;
					default:
					case 'all':
						return $status !== we_tag_write::OK;
				}
			default:
				return !we_weTag_util::tag('ifWritten', $attribs);
		}
	}

}
