<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 2aeecd34c7bc $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-06-24 19:23 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_js extends we_weTag_tag{

	/**
	 * @param array<string,mixed> $attribs parsed tag-attributes
	 * @param string $content content between openingtag and closing tag
	 * @param bool $internal if used by we internally
	 * @return string output to print
	 * @throws we_exception_parser if any attribute is missing
	 */
	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		self::attributeMissing($attribs, ['id' => false], __CLASS__);
		$src = fS('SELECT CONCAT(Path,' . (DISABLE_MEDIA_MODTIME ? '""' : '"?m=",UNIX_TIMESTAMP(Publish_Date)') . ') FROM ' . FILE_TABLE . ' WHERE ID=' . self::getAttribute('id', $attribs, 0, we_base_request::INT));

		if(!$src){
			return '';
		}

		$rel = self::getAttribute('rel', $attribs, '', we_base_request::STRING);
		if($rel === 'preload'){
			$attribs['as'] = 'script';
			header('Link: <' . $src . '>; rel=preload; as=script', false);
		}

		$attribs['src'] = $src;

		//	prepare $attribs for output:
		return self::htmlTag('script', self::removeAttribs($attribs, ['id']), '', true) . "\n";
	}

}
