<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 44db4d7c3342 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-06-24 18:25 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_newsletterUnsubscribeLink extends we_weTag_tag{

	/**
	 * @param array<string,mixed> $attribs parsed tag-attributes
	 * @param string $content content between openingtag and closing tag
	 * @param bool $internal if used by we internally
	 * @return string output to print
	 * @throws we_exception_parser if any attribute is missing
	 */
	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		self::attributeMissing($attribs, ['id' => false], __CLASS__);
		$id = self::getAttribute('id', $attribs, 0, we_base_request::INT);
		$plain = self::getAttribute('plain', $attribs, true, we_base_request::BOOL);

		//$settings = DB_WE::$inst->getAllFirstq('SELECT pref_name,pref_value FROM ' . SETTINGS_TABLE . ' WHERE tool="newsletter" AND pref_name IN ("use_port","use_https_refer")', false);
		//TODO: how to use $port and $protocol within multidomains and normal mode?
		/* $port = (!empty($settings['use_port'])) ? ':' . $settings['use_port'] : '';
		  $protocol = (!empty($settings['use_https_refer'])) ? 'https://' : 'http://';
		 */
		$cnt = 0;
		//Fix #9785
		$urlReplace = we_folder_base::getUrlReplacements(DB_WE::$inst, true);
		$url = preg_replace($urlReplace, array_keys($urlReplace), id2path($id, FILE_TABLE), -1, $cnt);

		$ret = ($cnt ? $url : we_http_util::getServerUrl() . id2path($id, FILE_TABLE)) . '?we_unsubscribe_email__=' . we_newsletter_base::EMAIL_REPLACE_TEXT;
		return ($plain ? $ret : '<a href="' . $ret . '">' . $ret . '</a>');
	}

}
