<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: e826d47dd2c3 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-01-23 14:59 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_shopCategory extends we_weTag_tag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		self::$doc = we_base_WE::getWeDoc();
		$id = self::getAttribute('id', $attribs, false, we_base_request::INT);
		$showpath = self::getAttribute('showpath', $attribs, false, we_base_request::BOOL);
		$rootdir = self::getAttribute('rootdir', $attribs, '', we_base_request::FILE);
		$field = self::getAttribute('field', $attribs, '', we_base_request::STRING);
		$dosave = self::getAttribute('dosave', $attribs, true, we_base_request::BOOL);

		$ret = '';
		if(we_base_WE::$editmode){
			if(!$id){
				$attribs['fromTag'] = 'shopcategory';
				$attribs['_name_orig'] = we_shop_shop::CATEGORY_FIELD_NAME;
				$attribs['field'] = 'PATH';
				$attribs['showpath'] = true;
				$attribs['firstentry'] = ' ';
				$attribs['shopCatIDs'] = implode(',', array_keys(we_shop_category::getShopCatsFromDir()));

				return we_tag_category::tag($attribs);
			}

			if($dosave){
				$ret .= we_html_element::hidden('we_' . self::$doc->Name . '_category[' . we_shop_shop::CATEGORY_FIELD_NAME . ']', $id);
			}
		}

		$shopCatId = self::$doc->getElementI(we_shop_shop::CATEGORY_FIELD_NAME);
		try{
			$ret .= we_shop_category::getShopCatFieldByID($shopCatId, self::$doc->Category, $field, $showpath, $rootdir, true);
		} catch (we_exception_shop $e){

		}
		return $ret;
	}

}
