<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e4301c9e291b $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-11-13 12:33 +0100 $
 */
class we_tw_customerResetPassword extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName);
		$this->NeedsEndTag = true;
		$this->Module = we_modules_info::CUSTOMER;
		$this->Description = g_l('weTag', '[' . $tagName . '][description]', true, true);

		$required = new we_weTag_textAttribute('required');
		$loadFields = new we_weTag_textAttribute('loadFields');
		$customerEmailField = new we_weTag_textAttribute('customerEmailField');
		$expireToken = new we_weTag_textAttribute('expireToken');
		$pwdVal = new we_weTag_textAttribute('passwordRule');

		$this->TypeAttribute = new we_weTag_typeAttribute('type', [new we_weTag_option('direct', false, '', [$required, $loadFields, $pwdVal], [$required]),
			new we_weTag_option('email', false, '', [$required, $customerEmailField, $expireToken, $loadFields, $pwdVal], [$required, $customerEmailField]),
			new we_weTag_option('emailPassword', false, '', [$required, $customerEmailField, $expireToken, $loadFields, $pwdVal], [$required]),
			new we_weTag_option('resetFromMail', false, '', [$required, $pwdVal], [$required]),
			], true, '');
	}

}
