<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e4301c9e291b $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-11-13 12:33 +0100 $
 */
class we_tw_href extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName);
		$this->NeedsEndTag = false;
		$this->Groups = [self::GROUP_INPUT];
		$this->Description = g_l('weTag', '[' . $tagName . '][description]', true, true);

		$this->Attributes = [new we_weTag_textAttribute('name', true, ''),
			new we_weTag_textAttribute('size', false, ''),
			new we_weTag_selectAttribute('type', [new we_weTag_option('all'),
				new we_weTag_option('int'),
				new we_weTag_option('ext'),
				], false, ''),
			new we_weTag_selectAttribute('include', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute('file', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute('directory', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute('reload', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute('hidedirindex', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_textAttribute('user', false, we_modules_info::USERS),
			new we_weTag_selectorAttribute('rootdir', FILE_TABLE, we_weTag_selectorAttribute::FOLDER, false, '', true),
			new we_weTag_selectorAttribute('startid', FILE_TABLE, we_weTag_selectorAttribute::FOLDER),
			new we_weTag_selectAttribute('cfilter', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute('only', [new we_weTag_option('id'), new we_weTag_option('path')], false, ''),
		];
	}

}
