<?php

declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e2c462077a60 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-02-25 19:07 +0100 $
 */
class we_tw_sessionField extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName);
		$this->NeedsEndTag = false;
		$this->Module = we_modules_info::CUSTOMER;
		$this->Description = g_l('weTag', '[' . $tagName . '][description]', true, true);
		$name = new we_weTag_sqlColAttribute('name', CUSTOMER_TABLE, true, [], we_modules_info::CUSTOMER);
		$size = new we_weTag_textAttribute('size');
		$maxlength = new we_weTag_textAttribute('maxlength');
		$rows = new we_weTag_textAttribute('rows');
		$cols = new we_weTag_textAttribute('cols');
		$onchange = new we_weTag_textAttribute('onchange');
		$choice = new we_weTag_choiceAttribute('choice', we_weTag_selectAttribute::getTrueFalse(), false, false);
		$checked = new we_weTag_choiceAttribute('checked', we_weTag_selectAttribute::getTrueFalse(), false, false);
		$value = new we_weTag_textAttribute('value');
		$values = new we_weTag_textAttribute('values');
		$dateformat = new we_weTag_textAttribute('dateformat');
		$id = new we_weTag_textAttribute('id');
		$removefirstparagraph = new we_weTag_selectAttribute('removefirstparagraph', we_weTag_selectAttribute::getTrueFalse());
		$autofill = new we_weTag_selectAttribute('autofill', we_weTag_selectAttribute::getTrueFalse());
		$parentid = new we_weTag_selectorAttribute('parentid', FILE_TABLE, we_weTag_selectorAttribute::FOLDER);
		$width = new we_weTag_textAttribute('width');
		$height = new we_weTag_textAttribute('height');
		$quality = new we_weTag_selectAttribute('quality', [
			new we_weTag_option('0'),
			new we_weTag_option('1'),
			new we_weTag_option('2'),
			new we_weTag_option('3'),
			new we_weTag_option('4'),
			new we_weTag_option('5'),
			new we_weTag_option('6'),
			new we_weTag_option('7'),
			new we_weTag_option('8'),
			new we_weTag_option('9'),
			new we_weTag_option('10'),
		]);
		$keepratio = new we_weTag_selectAttribute('keepratio', we_weTag_selectAttribute::getTrueFalse());
		$maximize = new we_weTag_selectAttribute('maximize', we_weTag_selectAttribute::getTrueFalse());
		$bordercolor = new we_weTag_textAttribute('bordercolor');
		$checkboxstyle = new we_weTag_textAttribute('checkboxstyle');
		$inputstyle = new we_weTag_textAttribute('inputstyle');
		$checkboxclass = new we_weTag_textAttribute('checkboxclass');
		$inputclass = new we_weTag_textAttribute('inputclass');
		$checkboxtext = new we_weTag_textAttribute('checkboxtext');
		$showcontrol = new we_weTag_selectAttribute('showcontrol', we_weTag_selectAttribute::getTrueFalse());
		$thumbnail = new we_weTag_sqlRowAttribute('thumbnail', THUMBNAILS_TABLE, false, 'Text');
		$thumbid = new we_weTag_sqlRowAttribute('thumbnailid', THUMBNAILS_TABLE, false, 'ID', 'Text', 'Text');
		$ascountry = new we_weTag_selectAttribute('ascountry', we_weTag_selectAttribute::getTrueFalse());
		$aslanguage = new we_weTag_selectAttribute('aslanguage', we_weTag_selectAttribute::getTrueFalse());
		$outputlanguage = new we_weTag_textAttribute('outputlanguage');
		$languageautofill = new we_weTag_selectAttribute('languageautofill', we_weTag_selectAttribute::getTrueFalse());
		$doc = new we_weTag_selectAttribute('doc', [new we_weTag_option('self'),
			new we_weTag_option('top'),
		]);

		$usevalue = new we_weTag_selectAttribute('usevalue', we_weTag_selectAttribute::getTrueFalse());
		$minyear = new we_weTag_textAttribute('minyear');
		$maxyear = new we_weTag_textAttribute('maxyear');
		$pure = new we_weTag_selectAttribute('pure', we_weTag_selectAttribute::getTrueFalse());
		$wysiwyg = new we_weTag_selectAttribute('wysiwyg', we_weTag_selectAttribute::getTrueFalse(), true);
		//$autobr = new we_weTag_selectAttribute('autobr', we_weTag_selectAttribute::getTrueFalse());
		$html = new we_weTag_selectAttribute('html', we_weTag_selectAttribute::getTrueFalse());
		$htmlspecialchars = new we_weTag_selectAttribute('htmlspecialchars', we_weTag_selectAttribute::getTrueFalse());
		$abbr = new we_weTag_selectAttribute('abbr', we_weTag_selectAttribute::getTrueFalse());
		$commands = new we_weTag_choiceAttribute('commands', we_wysiwyg_editor::getEditorCommands(true), false, true, '');

		$this->TypeAttribute = new we_weTag_typeAttribute('type', [new we_weTag_option('textinput', false, '', [$name, $size, $maxlength, $value], [$name]),
			new we_weTag_option('textarea', false, '', [$name, $rows, $cols, $value, $pure, $wysiwyg, /* $autobr, */ $html, $htmlspecialchars, $abbr, $commands], [$name]),
			new we_weTag_option('checkbox', false, '', [$name, $checked], [$name]),
			new we_weTag_option('radio', false, '', [$name, $checked, $value], [$name]),
			new we_weTag_option('password', false, '', [$name, $size, $maxlength, $value], [$name]),
			new we_weTag_option('hidden', false, '', [$name, $value, $autofill, $languageautofill, $doc, $usevalue, $htmlspecialchars], [$name]),
			new we_weTag_option('print', false, '', [$name, $dateformat, $ascountry, $aslanguage, $outputlanguage, $doc, $htmlspecialchars], [$name]),
			new we_weTag_option('select', false, '', [$name, $size, $value, $values], [$name]),
			new we_weTag_option('choice', false, '', [$name, $size, $maxlength, $value, $values], [$name]),
			new we_weTag_option('img', false, '', [$name, $value, $id, $parentid, $width, $height, $quality, $keepratio, $maximize, $bordercolor, $checkboxstyle,
				$inputstyle, $checkboxclass, $inputclass, $checkboxtext, $showcontrol, $thumbnail, $thumbid], [$name, $parentid]),
			new we_weTag_option('date', false, '', [$name, $dateformat, $minyear, $maxyear, $value], [$name]),
			new we_weTag_option('country', false, '', [$name, $size, $doc, $value], [$name]),
			new we_weTag_option('language', false, '', [$name, $size, $doc, $value], [$name])], true);

		$this->Attributes = [
			$name,
			$size,
			$maxlength,
			$rows,
			$cols,
			$onchange,
			$choice,
			$checked,
			$value,
			$values,
			$dateformat,
			$id,
			$removefirstparagraph,
			$autofill,
			$parentid,
			$width,
			$height,
			$quality,
			$keepratio,
			$maximize,
			$bordercolor,
			$checkboxstyle,
			$inputstyle,
			$checkboxclass,
			$inputclass,
			$checkboxtext,
			$showcontrol,
			$thumbnail,
			$ascountry,
			$aslanguage,
			$outputlanguage,
			$languageautofill,
			$doc,
			$usevalue,
			$minyear,
			$maxyear,
			$pure,
			$wysiwyg,
			$html,
			$htmlspecialchars,
			$abbr,
			$commands,
		];
	}

}
