<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e4301c9e291b $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-11-13 12:33 +0100 $
 */
class we_tw_showShopItemNumber extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName);
		$this->NeedsEndTag = false;
		$this->Description = g_l('weTag', '[' . $tagName . '][description]', true, true);
		$this->Module = we_modules_info::SHOP;

		$this->Attributes = [
			new we_weTag_textAttribute('shopname', true, ''),
			new we_weTag_choiceAttribute('type', [new we_weTag_option('select'),
				new we_weTag_option('textinput'),
				new we_weTag_option('print'),
				], false, false, ''),
			new we_weTag_textAttribute('start', false, ''),
			new we_weTag_textAttribute('stop', false, ''),
			new we_weTag_selectAttribute('floatquantities', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_textAttribute('step', false, '1'),
			new we_weTag_choiceAttribute('num_format', [new we_weTag_option('german'),
				new we_weTag_option('french'),
				new we_weTag_option('english'),
				new we_weTag_option('swiss'),
				], false, false, ''),
		];
	}

}
