<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: cccd57107d4b $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-07-20 13:18 +0200 $
 */
class we_tw_subscribe extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName);
		$this->NeedsEndTag = false;
		$this->Module = we_modules_info::NEWSLETTER;
		$this->Description = g_l('weTag', '[' . $tagName . '][description]', true, true);

		$size = new we_weTag_textAttribute('size', false, '');
		$maxlength = new we_weTag_textAttribute('maxlength', false, '');
		$value = new we_weTag_textAttribute('value', false, '');
		$values = new we_weTag_textAttribute('values', false, '');
		$class = new we_weTag_textAttribute('class', false, '');
		$style = new we_weTag_textAttribute('style', false, '');
		$onchange = new we_weTag_textAttribute('onchange', false, '');
		$checked = new we_weTag_selectAttribute('checked', we_weTag_selectAttribute::getTrueFalse());

		$this->TypeAttribute = new we_weTag_typeAttribute('type', [new we_weTag_option('email', false, '', [$size, $maxlength, $value, $class, $style, $onchange], [
				]),
			new we_weTag_option('htmlCheckbox', false, '', [$class, $style, $checked], []),
			new we_weTag_option('htmlSelect', false, '', [$value, $values, $class, $style], []),
			new we_weTag_option('firstname', false, '', [$size, $maxlength, $value, $class, $style, $onchange], []),
			new we_weTag_option('lastname', false, '', [$size, $maxlength, $value, $class, $style, $onchange], []),
			new we_weTag_option('salutation', false, '', [$size, $maxlength, $value, $values, $class, $style, $onchange], []),
			new we_weTag_option('title', false, '', [$size, $maxlength, $value, $values, $class, $style, $onchange], []),
			new we_weTag_option('listCheckbox', false, '', [$class, $style, $checked], []),
			new we_weTag_option('listSelect', false, '', [$size, $values, $class, $style], [])], false, '');

		$this->Attributes = [
			$size,
			$maxlength,
			$value,
			$values,
			$class,
			$style,
			$onchange,
			$checked,
		];
	}

}
