<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 0592961c439f $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-02-27 14:59 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

/**
 * Class we_usersOnline
 *
 * This class handles the users online for the personalized desktop (Cockpit).
 */
abstract class we_users_online{

	public static function getUsers(): array{
		$row = [];
		$isAdmin = we_base_permission::hasPerm([we_base_perm::ADMINISTRATOR]);

		foreach(we_database_base::$inst->getAllq('SELECT ID,username,TRIM(CONCAT(First," ",Second)) AS User,Email FROM ' . USER_TABLE . ' WHERE Ping>((NOW()-INTERVAL ' . (we_base_constants::PING_TIME + we_base_constants::PING_TOLERANZ) . ' SECOND )) ORDER BY Ping DESC') as $cur){
			$row [] = '<tr><td class="usrIcon"><i class="fa fa-user fa-2x"></i></td>' .
					'<td class="middlefont we-user">' . htmlentities(($cur['User'] ?: $cur['username']), ENT_COMPAT, 'UTF-8') . '</td>' .
					($isAdmin && $cur['Email'] ?
					'<td><a href="mailto:' . rawurlencode((new we_mail_address($cur['Email'], $cur['User']))->getFormatedMail()) . '">' .
					'<i style="color:#9fbcd5;" class="fa fa-2x fa-envelope"></i></a><td>' :
					''
					) . '</tr>';
		}

		return [count($row), '<table style="width:100%" class="default">' . implode('', $row) . '</table>'];
	}

}
