<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 6917b9add631 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-04-21 13:24 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_versions_cmd implements we_interface_cmd{

	public static function we_cmd(string $cmd): bool{
		switch($cmd){
			case 'we_versions_preview':
				(new we_versions_preview())->showHtml();
				return true;
			case 'we_versions_wizard':
				we_versions_wizard::showFrameset();
				return true;
			case 'we_versions_log':
				we_versions_logView::showFrameset();
				return true;
			case 'we_versions_showPreview':
				we_versions_version::showPreviewDoc(we_base_request::int('id'));
				return true;
		}
		return false;
	}

}
