/* global top, WE, fileSelect,writeBodyDir, entries */

/**
 * webEdition CMS
 *
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

function addEntry(ID, text, isFolder, path) {
	entries.push({
		ID: ID,
		text: text,
		isFolder: isFolder,
		path: path,
		contentType: (isFolder ? WE().consts.contentTypes.FOLDER_COMMON : 'we/export')
	});
}

function writeBody(d) {
	writeBodyDir(d, WE().consts.g_l.fileselector.newFolderExport, false);
}

function queryString(what, id, o, we_editDirID) {
	if (!o) {
		o = WE().util.dialogTop(window).fileSelect.data.order;
	}
	return WE().util.dialogTop(window).fileSelect.options.formtarget +
		'&we_cmd[what]=' + what +
		'&we_cmd[rootDirID]=' + WE().util.dialogTop(window).fileSelect.options.rootDirID +
		'&we_cmd[open_doc]=' + WE().util.dialogTop(window).fileSelect.options.open_doc +
		'&we_cmd[table]=' + WE().util.dialogTop(window).fileSelect.options.table +
		'&we_cmd[id]=' + id +
		(o ? ("&we_cmd[order]=" + o) : "") +
		(we_editDirID ? ("&we_cmd[we_editDirID]=" + we_editDirID) : "");
}
