/* global console, WE */

/**
 * webEdition CMS
 *
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';
function errorHandler(msg, file, line, col, errObj) {
	var deb = console.debug !== undefined;
	if (deb) {
		console.debug(msg);
	} else {
		console.log(msg);
	}
	if (errObj) {
		if (deb) {
			console.debug(errObj);
		} else {
			console.log(errObj);
		}
	}
	if (line == 113 || (msg && msg.match(/(Der Aufgerufene|AdBlock)/))) {
		//skip bad ie error
		return;
	}
	try {//we don' want to raise errors inside
		var stack = (errObj && errObj.stack ? errObj.stack : '');
		if (!stack) {
			try {
				errObj = new Error();
				stack = (errObj.stack ? errObj.stack : '');
			} catch (e) {
				stack = '';
			}
		}
		var loc = (window.location ? window.location : document.location),
			postData = 'we_cmd[msg]=' + encodeURIComponent(msg) +
			'&we_cmd[file]=' + encodeURIComponent(file) +
			'&we_cmd[line]=' + encodeURIComponent(line) +
			'&we_cmd[url]=' + encodeURIComponent(loc.pathname + loc.search) +
			'&we_cmd[App]=' + encodeURIComponent(navigator.appName) +
			'&we_cmd[Ver]=' + encodeURIComponent(navigator.appVersion) +
			'&we_cmd[UA]=' + encodeURIComponent(navigator.userAgent) +
			(col ? '&we_cmd[col]=' + encodeURIComponent(col) : '') +
			'&we_cmd[errObj]=' + encodeURIComponent(stack);
		var xmlhttp = new XMLHttpRequest();
		xmlhttp.open('POST', WE().consts.dirs.WEBEDITION_DIR + 'rpc.php?cmd=errorJSTrigger', true);
		xmlhttp.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
		xmlhttp.send(postData);
	} catch (e) {
		if (deb) {
			console.debug(e);
		} else {
			console.log(e);
		}
	}
}
