/* global tinymce */

/**
 * webEdition CMS
 *
 * $Author: Lukas Imhof $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

(function () {
	var wesource = (function () {

		var global = tinymce.util.Tools.resolve('tinymce.PluginManager');
		var open = function (ed) {
			ed.windowManager.openWePlugin({
				file: "/webEdition/we_cmd_frontend.php?we_cmd[0]=open_dialog_source", //&we_dialog_args[editor]=tinyMce&we_dialog_args[href]=" + encodeURIComponent(wehref) + "&we_dialog_args[isFrontend]=" + ed.getParam('weIsFrontend'),
				width: 600,
				height: 600
			}, {
				plugin_url: ''//b
			});
		};
		var Dialog = {open: open};

		var Commands = {register: function (editor) {
				editor.addCommand('mceWesource', function () {
					Dialog.open(editor);
				});
			}};

		var Buttons = {register: function (editor) {
				editor.ui.registry.addToggleButton('wesource', {
					icon: 'sourcecode',
					tooltip: 'Source code',
					onAction: function () {
						editor.execCommand('mceWesource');
					},
					onSetup: function (buttonApi) {
						editor.weControlManager.register('button', 'wesource', buttonApi);
					}
				});
			}};

		global.add('wesource', function (editor) {
			Commands.register(editor);
			Buttons.register(editor);
			return {};
		});

		function Plugin() {}

		return Plugin;

	}());
})();