/* global SXE, tinyMCEPopup */

/**
 * del.js
 *
 * Copyright 2009, Moxiecode Systems AB
 * Released under LGPL License.
 *
 * License: http://tinymce.moxiecode.com/license
 * Contributing: http://tinymce.moxiecode.com/contributing
 */
'use strict';
var SXE = SXE;

function init() {
	var editor = window.tinyMCEPopup.editor;

	SXE.initElementDialog('del');
	if (SXE.currentAction === "update") {
		setFormValue('datetime', editor.dom.getAttrib(SXE.updateElement, 'datetime'));
		setFormValue('cite', editor.dom.getAttrib(SXE.updateElement, 'cite'));
		SXE.disableRemoveButton(false);
	}
}

function setElementAttribs(elm) {
	setAllCommonAttribs(elm);
	setAttrib(elm, 'datetime');
	setAttrib(elm, 'cite');
	elm.removeAttribute('data-mce-new');
}

function insertDel() {
	var editor = window.tinyMCEPopup.editor;
	var elm = editor.dom.getParent(SXE.focusElement, 'DEL');

	if (elm === null) {
		var s = SXE.inst.selection.getContent();
		if (s.length > 0) {
			insertInlineElement('del');
			var elementArray = SXE.inst.dom.select('del[data-mce-new]');
			for (var i = 0; i < elementArray.length; i++) {
				elm = elementArray[i];
				setElementAttribs(elm);
			}
		}
	} else {
		setElementAttribs(elm);
	}
	editor.nodeChanged();
//	editor.execCommand('mceEndUndoLevel');
}

function removeDel() {
	SXE.removeElement('del');
}

function weTinyDialog_doOk() {
	insertDel();
	WE().util.dialogTop(window).doClose();
}

function weTinyDialog_doRemove() {
	removeDel();
	WE().util.dialogTop(window).doClose();
}

window.tinyMCEPopup.onInit.add(init);
